js_show_stdout(3)

NAME
js_show_stdout - output the string contents of a js_string object to stdout

SYNOPSIS
#include JsStr.h

int js_show_stdout(js_string *js)

DESCRIPTION
js_show_stdout outputs the string contents of a js_string object pointed to by js to the standard output.

RETURN VALUE
js_show_stdout returns JS_SUCCESS if it was able to sucessfully display the string in question, JS_ERROR otherwise.

EXAMPLE
The following example will print out "What's up doc?":

	js_string *foo;
	foo = js_create(256,1);
	js_str2js(foo,"What's up doc?",14,1);
	js_show_stdout(foo);

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>